## qt-mobility 1.0.0-beta1-maemo5

=== config.tests/corewlan/Makefile ===
#############################################################################
# Makefile for building: corewlan
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 17 16:16:25 2010
# Project:  corewlan.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile corewlan.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/arm-F-17-2/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/arm-F-17-2/usr/include/QtCore -I/targets/arm-F-17-2/usr/include/QtGui -I/targets/arm-F-17-2/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -framework CoreWLAN -framework Foundation -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = corewlantest.mm 
OBJECTS       = corewlantest.o
DIST          = /targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../.qmake.cache \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		corewlan.pro
QMAKE_TARGET  = corewlan
DESTDIR       = 
TARGET        = corewlan

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: corewlan.pro ../../.qmake.cache /targets/arm-F-17-2/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../.qmake.cache \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile corewlan.pro
/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf:
../../.qmake.cache:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile corewlan.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/corewlan1.0.0 || $(MKDIR) .tmp/corewlan1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/corewlan1.0.0/ && $(COPY_FILE) --parents corewlantest.mm .tmp/corewlan1.0.0/ && (cd `dirname .tmp/corewlan1.0.0` && $(TAR) corewlan1.0.0.tar corewlan1.0.0 && $(COMPRESS) corewlan1.0.0.tar) && $(MOVE) `dirname .tmp/corewlan1.0.0`/corewlan1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/corewlan1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

corewlantest.o: corewlantest.mm 
	$(CC) -c $(CFLAGS) $(INCPATH) -o corewlantest.o corewlantest.mm

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== config.tests/networkmanager/Makefile ===
#############################################################################
# Makefile for building: networkmanager
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 17 16:16:25 2010
# Project:  networkmanager.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile networkmanager.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/arm-F-17-2/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/arm-F-17-2/usr/include/QtCore -I/targets/arm-F-17-2/usr/include/QtGui -I/targets/arm-F-17-2/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../.qmake.cache \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		networkmanager.pro
QMAKE_TARGET  = networkmanager
DESTDIR       = 
TARGET        = networkmanager

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: networkmanager.pro ../../.qmake.cache /targets/arm-F-17-2/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../.qmake.cache \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile networkmanager.pro
/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/unix.conf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/common/linux.conf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_pre.prf:
../../.qmake.cache:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/qconfig.pri:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/release.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/qt.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/moc.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/resources.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/uic.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/lex.prf:
/targets/arm-F-17-2/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile networkmanager.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/networkmanager1.0.0 || $(MKDIR) .tmp/networkmanager1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/networkmanager1.0.0/ && $(COPY_FILE) --parents main.cpp .tmp/networkmanager1.0.0/ && (cd `dirname .tmp/networkmanager1.0.0` && $(TAR) networkmanager1.0.0.tar networkmanager1.0.0 && $(COMPRESS) networkmanager1.0.0.tar) && $(MOVE) `dirname .tmp/networkmanager1.0.0`/networkmanager1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/networkmanager1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## qt-mobility 1.0.0-beta1-maemo1

=== debian/changelog ===
qt-mobility (1.0.0-beta1-maemo1) unstable; urgency=low

  *  

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Wed, 10 Feb 2010 06:23:45 +0200

qt-mobility (1.0.0~git20100113-0maemo0) unstable; urgency=low

  * Initial release

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Wed, 13 Jan 2010 00:09:39 +0200

=== debian/control ===
Source: qt-mobility
Section: libs
Priority: extra
Maintainer: Antonio Aloisio <antonio.aloisio@nokia.com>
Build-Depends: libqt4-maemo5-dev | libqt4-dev (>= 4.6.0), pc-connectivity-manager-dev, cdbs, debhelper (>= 5), autotools-dev, quilt, libgconf2-dev,
 libdbus-1-dev, libgconf2-dev, libglib2.0-dev, libsqlite3-dev, liblocation-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 libpulse0-dbg, libxml2-dev, libxv-dev, libasound2-dev
Standards-Version: 3.7.2

Package: libqtm-dev
Architecture: any
Section: devel
Depends: libqtm-bearer (= ${binary:Version}), libqtm-location (= ${binary:Version}),
 libqtm-contacts (= ${binary:Version}), libqtm-multimedia (= ${binary:Version}),
 libqtm-publishsubscribe (= ${binary:Version}), libqtm-versit (= ${binary:Version}),
 libqtm-messaging (= ${binary:Version}), libqtm-systeminfo (= ${binary:Version}),
 libqtm-serviceframework (= ${binary:Version})
Description: Qt Mobility development files
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This package contains the header development files and tools.

Package: libqtm-bearer
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility Bearer module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtBearer module
 .
 If you wish to to use the bearer module for development, you should install
 the libqtm-dev package.

Package: libqtm-location
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility location module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtLocation module
 .
 If you wish to to use the location module for development, you should install
 the libqtm-dev package.

Package: libqtm-contacts
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility contacts module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtContacts module
 .
 If you wish to to use the contacts module for development, you should install
 the libqtm-dev package.

Package: libqtm-multimedia
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility multimedia module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtMultimedia module
 .
 If you wish to to use the multimedia module for development, you should
 install the libqtm-dev package.

Package: libqtm-publishsubscribe
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility publish and subscribe module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 If you wish to to use the publish and subscribe module for development, you
 should install the libqtm-dev package.

Package: libqtm-versit
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility versit module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtVersit module
 .
 If you wish to to use the versit module for development, you should install
 the libqtm-dev package.

Package: libqtm-messaging
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility messaging module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 If you wish to to use the messaging module for development, you should install
 the libqtm-dev package.

Package: libqtm-systeminfo
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility system information module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtSystemInfo module
 .
 If you wish to to use the systeminfo module for development, you should
 install the libqtm-dev package.

Package: libqtm-serviceframework
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility service framework module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtServiceFramework module
 .
 If you wish to to use the serviceframework module for development, you should
 install the libqtm-dev package.

Package: libqtm-sensors
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility service framework module
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 The QtSensors module
 .
 If you wish to to use the sensors module for development, you should install
 the libqtm-dev package.

Package: libqtm-examples
Architecture: any
Section: user/other 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mobility examples 
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This package contains Mobility examples

Package: libqtm-bearer-dbg
Architecture: any
Section: debug
Depends: libqtm-bearer (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt bearer libraries.

Package: libqtm-location-dbg
Architecture: any
Section: debug
Depends: libqtm-location (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt location libraries.

Package: libqtm-contacts-dbg
Architecture: any
Section: debug
Depends: libqtm-contacts (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt contacts libraries.

Package: libqtm-multimedia-dbg
Architecture: any
Section: debug
Depends: libqtm-multimedia (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt multimedia libraries.

Package: libqtm-publishsubscribe-dbg
Architecture: any
Section: debug
Depends: libqtm-publishsubscribe (= ${binary:Version})
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt publishsubscribe
 libraries.

Package: libqtm-versit-dbg
Architecture: any
Section: debug
Depends: libqtm-versit (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt versit libraries.

Package: libqtm-messaging-dbg
Architecture: any
Section: debug
Depends: libqtm-messaging (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one 
 framework and apply them to phones, netbooks and non-mobile personal 
 computers.
 .
 This packages contains the debugging symbols for the Qt messaging libraries.

Package: libqtm-systeminfo-dbg
Architecture: any
Section: debug
Depends: libqtm-systeminfo (= ${binary:Version}) 
Description: Qt Mobility library debugging symbols
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones. However, 
 these APIs allow the developer to use these features with ease from one

=== debian/rules ===
#!/usr/bin/make -f
PATH := ${PATH}:/opt/qt4-maemo5/bin/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

### Add here any variable or target overrides you need.

# Find out how many parallel threads to run
TMP_BUILD_OPTS = $(subst $(comma),$(space),$(DEB_BUILD_OPTIONS))
ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
  PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_MAKE_INVOKE := $(MAKE) $(PARALLEL_MAKEFLAGS)
DEB_MAKE_INSTALL_TARGET := INSTALL_ROOT=$(DEB_DESTDIR) install
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CLEAN_EXCLUDE := debian/tmp
# Add here any variable or target overrides you need.
DEB_CONFIGURE_NORMAL_ARGS := -maemo5 -examples -no-docs -prefix /usr
DEB_CONFIGURE_EXTRA_FLAGS := -debug -silent 

clean::
	rm -Rf debian/config.tests debian/config.pri
	rm -Rf debian/tmp

# Automatically install lintian overrides, stolen from debian-qt-kde.mk
$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	if test -e debian/$(cdbs_curpkg).lintian; then \
	install -p -D -m644 debian/$(cdbs_curpkg).lintian \
	debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg); \
fi

## qt-mobility 1.0.0-beta1-maemo2

=== debian/changelog ===
qt-mobility (1.0.0-beta1-maemo2) unstable; urgency=low

  * Add hardcoded Qt 4.6 package dependencies :(

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Wed, 13 Feb 2010 12:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: libqtm-bearer
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-gui, libqt4-maemo5-network
 Description: Qt Mobility Bearer module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -43,7 +43,8 @@
 Package: libqtm-location
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-dbus, libqt4-maemo5-xml,
+ libqt4-maemo5-core
 Description: Qt Mobility location module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -59,7 +60,7 @@
 Package: libqtm-contacts
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-gui, libqt4-maemo5-core
 Description: Qt Mobility contacts module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -75,7 +76,8 @@
 Package: libqtm-multimedia
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-multimedia, libqt4-maemo5-opengl,
+ libqt4-maemo5-gui, libqt4-maemo5-network, libqt4-maemo5-dbus, libqt4-maemo5-xml, libqt4-maemo5-core
 Description: Qt Mobility multimedia module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -91,7 +93,8 @@
 Package: libqtm-publishsubscribe
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-network, libqt4-maemo5-dbus,
+ libqt4-maemo5-xml, libqt4-maemo5-core
 Description: Qt Mobility publish and subscribe module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -105,7 +108,7 @@
 Package: libqtm-versit
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui
 Description: Qt Mobility versit module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -135,7 +138,8 @@
 Package: libqtm-systeminfo
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-network, libqt4-maemo5-gui,
+ libqt4-maemo5-xml, libqt4-maemo5-core
 Description: Qt Mobility system information module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -151,7 +155,7 @@
 Package: libqtm-serviceframework
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-sql, libqt4-maemo5-core
 Description: Qt Mobility service framework module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -167,7 +171,7 @@
 Package: libqtm-sensors
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-gui, libqt4-maemo5-core
 Description: Qt Mobility service framework module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -183,7 +187,9 @@
 Package: libqtm-examples
 Architecture: any
 Section: user/other 
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-webkit, libqt4-maemo5-test,
+ libqt4-maemo5-opengl, libqt4-maemo5-dbus, libqt4-maemo5-xml, libqt4-maemo5-multimedia,
+ libqt4-maemo5-sql
 Description: Qt Mobility examples 
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -278,18 +284,3 @@
 Depends: libqtm-messaging (= ${binary:Version}) 
 Description: Qt Mobility library debugging symbols
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
- well known from the mobile device world, in particular phones. However, 
- these APIs allow the developer to use these features with ease from one 
- framework and apply them to phones, netbooks and non-mobile personal 
- computers.
- .
- This packages contains the debugging symbols for the Qt messaging libraries.
-
-Package: libqtm-systeminfo-dbg
-Architecture: any
-Section: debug
-Depends: libqtm-systeminfo (= ${binary:Version}) 
-Description: Qt Mobility library debugging symbols
- Qt Mobility Project delivers a set of new APIs to Qt with features that are
- well known from the mobile device world, in particular phones. However, 
- these APIs allow the developer to use these features with ease from one

## qt-mobility 1.0.0-beta1-maemo3

=== debian/changelog ===
qt-mobility (1.0.0-beta1-maemo3) unstable; urgency=low

  * Rename example package to qt-mobility-examples

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Wed, 13 Feb 2010 13:13:25 +0200

=== debian/control ===
--- 
+++ 
@@ -184,12 +184,12 @@
  If you wish to to use the sensors module for development, you should install
  the libqtm-dev package.
 
-Package: libqtm-examples
+Package: qt-mobility-examples
 Architecture: any
 Section: user/other 
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-webkit, libqt4-maemo5-test,
  libqt4-maemo5-opengl, libqt4-maemo5-dbus, libqt4-maemo5-xml, libqt4-maemo5-multimedia,
- libqt4-maemo5-sql
+ libqt4-maemo5-sql, libqt4-maemo5-svg
 Description: Qt Mobility examples 
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However,

## qt-mobility 1.0.0-beta1-maemo4

=== debian/changelog ===
qt-mobility (1.0.0-beta1-maemo4) unstable; urgency=low

  * Rename libqtm-examples.install to qt-mobility-examples.install
  * Add conflict and replace fields for qt-mobility-examples

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Wed, 13 Feb 2010 13:13:25 +0200

=== debian/control ===
--- 
+++ 
@@ -190,6 +190,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-webkit, libqt4-maemo5-test,
  libqt4-maemo5-opengl, libqt4-maemo5-dbus, libqt4-maemo5-xml, libqt4-maemo5-multimedia,
  libqt4-maemo5-sql, libqt4-maemo5-svg
+Conflicts: libqtm-examples 
+Replaces: libqtm-examples
 Description: Qt Mobility examples 
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -283,4 +285,3 @@
 Section: debug
 Depends: libqtm-messaging (= ${binary:Version}) 
 Description: Qt Mobility library debugging symbols
- Qt Mobility Project delivers a set of new APIs to Qt with features that are

## qt-mobility 1.0.0-beta1-maemo5

=== debian/changelog ===
qt-mobility (1.0.0-beta1-maemo5) unstable; urgency=low

  * Qt dependencies update to the recent version.
  * mobility.prf is installed in /usr/share/qt4

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Mon, 17 May 2010 16:22:51 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Antonio Aloisio <antonio.aloisio@nokia.com>
-Build-Depends: libqt4-maemo5-dev | libqt4-dev (>= 4.6.0), pc-connectivity-manager-dev, cdbs, debhelper (>= 5), autotools-dev, quilt, libgconf2-dev,
+Build-Depends: libqt4-dev (>= 4.6.0), pc-connectivity-manager-dev, cdbs, debhelper (>= 5), autotools-dev, quilt, libgconf2-dev,
  libdbus-1-dev, libgconf2-dev, libglib2.0-dev, libsqlite3-dev, liblocation-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
  libpulse0-dbg, libxml2-dev, libxv-dev, libasound2-dev
 Standards-Version: 3.7.2
@@ -27,7 +27,7 @@
 Package: libqtm-bearer
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-gui, libqt4-maemo5-network
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--gui, libqt4--network
 Description: Qt Mobility Bearer module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -43,8 +43,8 @@
 Package: libqtm-location
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-dbus, libqt4-maemo5-xml,
- libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--dbus, libqt4--xml,
+ libqt4--core
 Description: Qt Mobility location module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -60,7 +60,7 @@
 Package: libqtm-contacts
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-gui, libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--gui, libqt4--core
 Description: Qt Mobility contacts module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -76,8 +76,8 @@
 Package: libqtm-multimedia
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-multimedia, libqt4-maemo5-opengl,
- libqt4-maemo5-gui, libqt4-maemo5-network, libqt4-maemo5-dbus, libqt4-maemo5-xml, libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--multimedia, libqt4--opengl,
+ libqt4--gui, libqt4--network, libqt4--dbus, libqt4--xml, libqt4--core
 Description: Qt Mobility multimedia module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -93,8 +93,8 @@
 Package: libqtm-publishsubscribe
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-network, libqt4-maemo5-dbus,
- libqt4-maemo5-xml, libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--network, libqt4--dbus,
+ libqt4--xml, libqt4--core
 Description: Qt Mobility publish and subscribe module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -108,7 +108,7 @@
 Package: libqtm-versit
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--core, libqt4--gui
 Description: Qt Mobility versit module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -138,8 +138,8 @@
 Package: libqtm-systeminfo
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-network, libqt4-maemo5-gui,
- libqt4-maemo5-xml, libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--network, libqt4--gui,
+ libqt4--xml, libqt4--core
 Description: Qt Mobility system information module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -155,7 +155,7 @@
 Package: libqtm-serviceframework
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-sql, libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--sql, libqt4--core
 Description: Qt Mobility service framework module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -171,7 +171,7 @@
 Package: libqtm-sensors
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-gui, libqt4-maemo5-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--gui, libqt4--core
 Description: Qt Mobility service framework module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -187,9 +187,9 @@
 Package: qt-mobility-examples
 Architecture: any
 Section: user/other 
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-webkit, libqt4-maemo5-test,
- libqt4-maemo5-opengl, libqt4-maemo5-dbus, libqt4-maemo5-xml, libqt4-maemo5-multimedia,
- libqt4-maemo5-sql, libqt4-maemo5-svg
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4--webkit, libqt4--test,
+ libqt4--opengl, libqt4--dbus, libqt4--xml, libqt4--multimedia,
+ libqt4--sql, libqt4--svg
 Conflicts: libqtm-examples 
 Replaces: libqtm-examples
 Description: Qt Mobility examples 
@@ -285,3 +285,6 @@
 Section: debug
 Depends: libqtm-messaging (= ${binary:Version}) 
 Description: Qt Mobility library debugging symbols
+ Qt Mobility Project delivers a set of new APIs to Qt with features that are
+ well known from the mobile device world, in particular phones. However, 
+ these APIs allow the developer to use these features with ease from one
